CREATE TABLE FOO_MASTER
(
  ID                  BIGINT         PRIMARY KEY,
  FOO_ID              VARCHAR(32)   NOT NULL,
  HOO_ID              VARCHAR(64)   NOT NULL,
  TOROKU_DATETIME     TIMESTAMP     NOT NULL,
  FOO_NAME            VARCHAR(128)  NOT NULL,
  FOO_ADDRESS         VARCHAR(256),
  FOO_PHONE           VARCHAR(128),
  VERSION             INTEGER       NOT NULL DEFAULT 1,
  INSERT_ID           VARCHAR(32)   NOT NULL,
  INSERT_DATETIME     TIMESTAMP     NOT NULL,
  UPDATE_ID           VARCHAR(32)   NOT NULL,
  UPDATE_DATETIME     TIMESTAMP     NOT NULL
)
;
